{combine_css path=$ADMINTOOLS_PATH|cat:'template/style.css'}
{combine_css path='admin/themes/default/fontello/css/fontello.css'}
{combine_css path=$ADMINTOOLS_PATH|cat:'template/fontello/css/fontello-ato.css'}

<div id="ato_header_closed"><a href="#" class="icon-tools"></a></div>

<div id="ato_header">
  <ul id="ato_header_root">
    <li><a href="#" class="icon-ato-cancel close-panel"></a></li>
    <li class="parent"><a href="#" class="icon-menu">{'Admin panel'|translate}</a>
      <ul>
        <li><a class="icon-picture" href="{$ato.U_SITE_ADMIN}batch_manager">{'Photos'|translate}</a></li>
        <li><a class="icon-sitemap" href="{$ato.U_SITE_ADMIN}cat_list">{'Albums'|translate}</a></li>
        <li><a class="icon-users" href="{$ato.U_SITE_ADMIN}user_list">{'Users'|translate}</a></li>
        <li><a class="icon-puzzle" href="{$ato.U_SITE_ADMIN}plugins">{'Plugins'|translate}</a></li>
        <li><a class="icon-wrench" href="{$ato.U_SITE_ADMIN}maintenance">{'Tools'|translate}</a></li>
        <li><a class="icon-cog" href="{$ato.U_SITE_ADMIN}configuration">{'Options'|translate}</a></li>
      </ul>
    </li>
  {if isset($ato.U_EDIT)}
    <li class="parent"><a href="#" class="icon-pencil">{'Edit'|translate}</a>
      <ul>
        <li><a href="#" class="icon-ato-flash edit-quick">{'Quick edit'|translate}</a></li>
        <li><a class="icon-ato-doc-text-inv" href="{$ato.U_EDIT}">{'Properties page'|translate}</a></li>
      </ul>
    </li>
  {/if}
  {if isset($ato.U_SET_REPRESENTATIVE)}
    <li {if $ato.IS_REPRESENTATIVE}class="disabled"{/if}><a class="icon-ato-trophy set-representative" href="{$ato.U_SET_REPRESENTATIVE}">{'representative'|translate|ucfirst}</a></li>
  {/if}
  {if isset($ato.U_CADDIE)}
    <li {if $ato.IS_IN_CADDIE}class="disabled"{/if}><a class="icon-ato-flag add-caddie" href="{$ato.U_CADDIE}">{'Add to caddie'|translate}</a></li>
  {/if}
  {if isset($ato.IS_CATEGORY)}
    <li><a class="icon-plus-circled" href="{$ato.U_SITE_ADMIN}photos_add&amp;album={$ato.CATEGORY_ID}">{'Add Photos'|translate}</a></li>
  {/if}

    <li class="parent right"><a class="icon-cog-alt" href="#">{'Tools'|translate}</a>
      <ul>
        <li><label>View as</label>
          <select class="switcher" data-type="view_as">
            {html_options options=$ato.USERS selected=$ato.MULTIVIEW.view_as}
          </select>
        </li>
        <li><label>Theme</label>
          <select class="switcher" data-type="theme">
            {html_options options=$ato.THEMES selected=$ato.MULTIVIEW.theme}
          </select>
        </li>
        <li><label>Language</label>
          <select class="switcher" data-type="lang">
            {html_options options=$ato.LANGS selected=$ato.MULTIVIEW.lang}
          </select>
        </li>
        <li><a class="icon-ato-check{if !$ato.MULTIVIEW.show_queries}-empty{/if}" href="{$ato.U_SELF}show_queries={(int)!$ato.MULTIVIEW.show_queries}">{'Show SQL queries'|translate}</a></li>
        <li><a class="icon-ato-check{if !$ato.MULTIVIEW.debug_l10n}-empty{/if}" href="{$ato.U_SELF}debug_l10n={(int)!$ato.MULTIVIEW.debug_l10n}">{'Debug languages'|translate}</a></li>
        <li><a class="icon-ato-check{if !$ato.MULTIVIEW.debug_template}-empty{/if}" href="{$ato.U_SELF}debug_template={(int)!$ato.MULTIVIEW.debug_template}">{'Debug template'|translate}</a></li>
        <li><a class="icon-ato-check{if !$ato.MULTIVIEW.template_combine_files}-empty{/if}" href="{$ato.U_SELF}template_combine_files={(int)!$ato.MULTIVIEW.template_combine_files}">{'Combine JS&amp;CSS'|translate}</a></li>
        <li><a class="icon-ato-check{if $ato.MULTIVIEW.no_history}-empty{/if}" href="{$ato.U_SELF}no_history={(int)!$ato.MULTIVIEW.no_history}">{'Save visit in history'|translate}</a></li>
        <li><a class="icon-ato-null" href="{$ato.U_SELF}purge_template=1">{'Purge compiled templates'|translate}</a></li>
      </ul>
    </li>
  {if $ato.USER.id != $ato.MULTIVIEW.view_as}
    <li class="right">
      &nbsp;&nbsp;{'Logged as <b>%s</b>, viewing as <b>%s</b>.'|translate:$ato.USER.username:$ato.CURRENT_USERNAME}
      <a href="{$ato.U_SELF}view_as={$ato.USER.id}">{'Revert'|translate}</a>
    </li>
  {/if}
  </ul>
</div>

{footer_script require='jquery'}
(function($){
  var $ato = $('#ato_header'),
      $ato_closed = $('#ato_header_closed'),
      ato_height = 28,
      urlWS = '{$ROOT_URL}ws.php?format=json&method=';

  $('body').prepend($ato);

  if (window.localStorage.ato_panel_open == null) {
    window.localStorage.ato_panel_open = "true";
  }

  if (window.localStorage.ato_panel_open == "true") {
    $ato.show();
    $('body').css({ldelim}'margin-top': '+='+ato_height});
  }
  else {
    $ato_closed.show();
  }

{*<!-- sub menus -->*}
  $ato.find('.parent').on({
    'click': function(){
      $(this).find('ul').toggle();
    },
    'mouseleave': function(e) {
      if (e.target.tagName.toLowerCase() != "select") {
        $(this).find('ul').hide();
      }
    }
  });
  $ato.find('.parent>a').on('click', function(e) {
    e.preventDefault();
  });
  $ato.find('.parent ul').on('mouseleave', function(e) {
    if (e.target.tagName.toLowerCase() != "select") {
      $(this).hide();
    }
  });

  $ato.find('.switcher').on({
    'change': function() {
      window.location.href = '{$ato.U_SELF}'+ $(this).data('type') +'='+ $(this).val();
    },
    'click': function(e) {
      e.stopPropagation();
    }
  });

  $ato.find('.close-panel').on('click', function(e) {
    $ato.slideUp();
    $ato_closed.slideDown();
    $('body').animate({ldelim}'margin-top': '-='+ato_height});

    window.localStorage.ato_panel_open = "false";
    e.preventDefault();
  });
  
  $ato_closed.on('click', function(e) {
    $ato.slideDown();
    $ato_closed.slideUp();
    $('body').animate({ldelim}'margin-top': '+='+ato_height});

    window.localStorage.ato_panel_open = "true";
    e.preventDefault();
  });

{*<!-- set representative -->*}
{if isset($ato.U_SET_REPRESENTATIVE)}
  $ato.find('.set-representative').on('click', function(e) {

    if (!$(this).parent().hasClass('disabled')) {
      $(this).parent().addClass('disabled')

      $.ajax({
        method: 'POST',
        url: urlWS + 'pwg.categories.setRepresentative',
        dataType: 'json',
        data: {
          image_id: {$current.id},
          category_id: {$ato.CATEGORY_ID}
        },
        success: function() {
          alert('ok');
        },
        fail: function(num, text) {
          alert(num + ' ' + text);
        }
      });
    }

    e.preventDefault();
  });
{/if}

{*<!-- add to caddie -->*}
{if isset($ato.U_CADDIE) and isset($ato.IS_PICTURE)}
  $ato.find('.add-caddie').on('click', function(e) {

    if (!$(this).parent().hasClass('disabled')) {
      $(this).parent().addClass('disabled')

      $.ajax({
        method: 'POST',
        url: urlWS + 'pwg.caddie.add',
        dataType: 'json',
        data: {
          image_id: {$current.id}
        },
        success: function() {
          alert('ok');
        },
        fail: function(num, text) {
          alert(num + ' ' + text);
        }
      });
    }

    e.preventDefault();
  });
{/if}

}(jQuery));
{/footer_script}